# Examples

### Request:

{% code overflow="wrap" %}

```bash
curl --location --request DELETE 'https://api.alephcrm.com/v2/products/prices?API_KEY=AAAAAAAA-XXX-XXX-XXX-XXXXXXXXXXXX&accountId=ZZZZ&confirmationToken=WW \
--header 'Content-Type: application/json' \
--data-raw '
{
  "PriceListId": 246,
  "Products": [
    {
      "Sku": "95459391"
    },
    {
      "Sku": "95920465"
    },
    {
      "Sku": "96895448"
    },
    {
      "Sku": "AAAAAAAAAAAAAAAA95459391"
    },
    {
      "Sku": "06G260849"
    }
  ]
}’
```

{% endcode %}

### Response

```json
{
  "Quantities": {
    "Ok": 0,
    "Error": 5,
    "Warning": 0,
    "Info": 0,
    "Total": 5
  },
  "Items": [
    {
      "ItemNumber": 3,
      "ValidationLevel": {
        "Id": 0,
        "Name": "Error"
      },
      "KeyField": "SKU",
      "keyValue": "AAAAAAAAAAAAAAAA95459391",
      "Messages": [
        {
          "Level": {
            "Id": 0,
            "Name": "Error"
          },
          "Code": 0,
          "Message": "The given SKU was not found or it is not assigned to the given price list ID"
        }
      ]
    },
    {
      "ItemNumber": 4,
      "ValidationLevel": {
        "Id": 0,
        "Name": "Error"
      },
      "KeyField": "SKU",
      "keyValue": "06G260849",
      "Messages": [
        {
          "Level": {
            "Id": 0,
            "Name": "Error"
          },
          "Code": 0,
          "Message": "The given SKU was not found or it is not assigned to the given price list ID"
        }
      ]
    },
    {
      "ItemNumber": 0,
      "ValidationLevel": {
        "Id": 0,
        "Name": "Error"
      },
      "KeyField": "SKU",
      "keyValue": "95920465",
      "Messages": [
        {
          "Level": {
            "Id": 0,
            "Name": "Error"
          },
          "Code": 0,
          "Message": "The product with SKU 95920465 is shared to one or more seller accounts. Cannot remove the product from the price list. This product will be ignored and will not be processed"
        }
      ]
    },
    {
      "ItemNumber": 0,
      "ValidationLevel": {
        "Id": 0,
        "Name": "Error"
      },
      "KeyField": "SKU",
      "keyValue": "95459391",
      "Messages": [
        {
          "Level": {
            "Id": 0,
            "Name": "Error"
          },
          "Code": 0,
          "Message": "The product with SKU 95459391 is shared to one or more seller accounts. Cannot remove the product from the price list. This product will be ignored and will not be processed"
        }
      ]
    },
    {
      "ItemNumber": 0,
      "ValidationLevel": {
        "Id": 0,
        "Name": "Error"
      },
      "KeyField": "SKU",
      "keyValue": "96895448",
      "Messages": [
        {
          "Level": {
            "Id": 0,
            "Name": "Error"
          },
          "Code": 0,
          "Message": "The product with SKU 96895448 is shared to one or more seller accounts. Cannot remove the product from the price list. This product will be ignored and will not be processed"
        }
      ]
    }
  ]
}
```

### Request (with an expired confirmation token)

```bash
curl --location --request DELETE 'https://api.alephcrm.com/v2/products/prices?API_KEY=AAAAAAAA-XXX-XXX-XXX-XXXXXXXXXXXX&accountId=ZZZZ&confirmationToken=WW \
--header 'Content-Type: application/json' \
--data-raw '
{
  "PriceListId": 246,
  "Products": [
    {
      "Sku": "95459391"
    },
    {
      "Sku": "95920465"
    },
    {
      "Sku": "96895448"
    },
    {
      "Sku": "AAAAAAAAAAAAAAAA95459391"
    },
    {
      "Sku": "06G260849"
    }
  ]
}’
```

### Response

```json
{
    "Status": 401,
    "Message": "Invalid confirmation token given"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/products/delete-methods/delete-products-from-a-price-list/examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
